Summary: 	GL-117 is an action flight simulator
Name: 		gl-117
Version: 	0.8
Release: 	1
Copyright: 	GPL
Group: 		Games
Packager: 	linuxkid <linux@peanutlinux.org>
Source0: 	%{name}-%{version}.tar.gz
Source1: 	%{name}.desktop
URL:		http://home.t-online.de/home/Primetime./gl-117/index.htm
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Open Source game requires a hardware accellerated video card.

GL-117 is an action flight simulator for Linux/Unix and MSWindows. 
Enter the Eagle Squadron and succeed in several challanging missions 
leading though different landscapes. Five predefined levels of video
quality and an amount of viewing ranges let you perfectly adjust the
game to the performance of your system. Joystick, mouse, sound effects,
music...

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Games
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Games

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
